.indicateur {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  padding: 2em 0 1em 0;
  align-items: center;
  height: 2em;
  &-value {
    width: 8em;
    height: 1em;
    background-color: rgba($color: $c-primary, $alpha: 0.2);
    transform: skewX(-15deg);
    border-radius: 2px;
    overflow: hidden;
    &-display {
      display: block;
      height: 100%;
      transition-timing-function: cubic-bezier(0, 0, 0.5, 1);
      background-color: $c-secondary;
      transform: scale(0, 1);
      transform-origin: 0% 0%;
      transition: transform 0.8s;
    }
  }
  &-icon {
    margin: 0 0.5em;
    font-size: 1.5em;
    line-height: calc(1 / 3);
    opacity: 0;
    transition: 0.1s 0.3s;
  }
  &[open] {
    .indicateur-value {
      &-display {
        transform: scale(1, 1);
      }
    }
    .indicateur-icon {
      font-size: 1.5em;
      line-height: calc(1 / 3);
      opacity: 1;
    }
  }
}

//Ipad
@media only screen and (min-width: 768px) {
  .indicateur {
    justify-content: center;
    padding: 0;
  }
}
